__gnu_cxx::forced_error Struct Reference
Diagnostics » Exceptions

`#include <throw_allocator.h>`

Inheritance diagram for __gnu_cxx::forced_error:
[legend]

## Public Member Functions

virtual const char * | what () const noexcept

## Detailed Description

Thrown by utilities for testing exception safety.

Definition at line 81 of file throw_allocator.h.

## Member Function Documentation

## what()

virtual const char * std::exception::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error.

Reimplemented in std::bad_alloc, std::bad_cast, std::bad_exception, std::bad_function_call, std::bad_typeid, std::bad_weak_ptr, std::experimental::filesystem::v1::filesystem_error, std::experimental::fundamentals_v1::bad_any_cast, std::filesystem::filesystem_error, std::future_error, std::logic_error, and std::runtime_error.

The documentation for this struct was generated from the following file:

- throw_allocator.h